Docs Rizler

Contacts

Add Contact

POSThttps://app.rizzdial.com/api/contacts/add
Add Contact
curl --request POST \
  --url https://app.rizzdial.com/api/contacts/add \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "email": "ada@example.com",
  "last_name": "Lovelace",
  "first_name": "Ada",
  "phone_number": "15551212000",
  "powerlist_id": 1
}'
{
  "msg": "Successfully performed.",
  "status": "success",
  "contact_id": "MQ=="
}

Add Contact#

Creates a contact, or updates the existing contact when the phone number already exists. powerlist_id is the numeric powerlist id.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

phone_numberstringbodyrequired

Contact phone number

powerlist_idintegerbodyrequired

Numeric powerlist id for this company

first_namestringbody

First name

last_namestringbody

Last name

emailstringbody

Stored as the contact email

curl --request POST \
  --url https://app.rizzdial.com/api/contacts/add \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{
  "phone_number": "15551212000",
  "powerlist_id": 1,
  "first_name": "Ada",
  "last_name": "Lovelace",
  "email": "ada@example.com"
}'
contact_idstring

Base64 contact id

statusstring

success